import json


class Router:
    def __init__(self,
                 id,
                 name,
                 status,
                 external_gateway_info,
                 created_at,
                 updated_at
                 ) -> None:
        super().__init__()

        self.id = id
        self.name = name
        self.status = status
        self.external_gateway_info = external_gateway_info
        self.created_at = created_at
        self.updated_at = updated_at

    def __str__(self) -> str:
        return self.toJSON()

    def toJSON(self):
        return json.dumps(self.__dict__)
